mscorlib 2.0.0.0 4.0.0.0 System.Object System.Runtime.InteropServices.ComVisible(true)

There is a single designated instance of the class in each to which all activation calls are routed. The for the current can provide its own custom for this purpose. If a custom is not provided, an instance of the default is created.

The following steps describe the behavior of the default method implementation:

Checks if the of the add-in to be activated matches the of the current domain; if not, proceeds to step 2. Otherwise, executes the assembly and returns the result wrapped in an object handle.

Activates the add-in in a new . The following steps are taken to initialize a new using the for the add-in.

Creates a new object using an object containing the activation context for the add-in.

Calls the method to create a new domain using the object.

The method calls the method to acquire an object for the add-in. If the property returns true, the add-in is executed. If not, throws a indicating that execution permission could not be acquired.

If the add-in is trusted to run, then a new is created and configured for the of the add-in, and the add-in is loaded and executed.

The result of the activation of the add-in is returned, wrapped in an object handle.

A custom activator can tailor the activation of an add-in to a particular set of circumstances. For example, a custom activator could find an existing to activate this add-in instead of creating a new domain every time.

The following steps describe the behavior of a custom that activates an add-in in an existing :

The custom activator finds a domain that has the same as the add-in that is being activated.

If the has never been seen before in the process, the custom activator creates a new for this by calling the method directly, or delegating this activity to the in the base class.

If there is an existing domain with the same , then the activator can delegate the method call to the in the target domain. Note that this would be a cross-domain call to an that resides in the target .

Provides the base class for the activation of manifest-based assemblies.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ObjectHandle ``

  This method is intended for the manifest-based activation of applications.

  Creates an instance of the application to be activated, using the specified activation context.

  An that is a wrapper for the return value of the application execution. The return value must be unwrapped to access the real object.

  An that identifies the application to activate.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ObjectHandle `` ``

  This method is intended for the manifest-based activation of applications. The activation data consists of information such as the query string portion of a URL.

  Creates an instance of the application to be activated, using the specified activation context and custom activation data.

  An that is a wrapper for the return value of the application execution. The return value must be unwrapped to access the real object.

  An that identifies the application to activate. Custom activation data.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ObjectHandle ``

  This method is intended for the manifest-based activation of applications.

  Creates an instance of an application using the specified object.

  An that is a wrapper for the return value of the application execution. The return value must be unwrapped to access the real object.

  An object whose property identifies the application to activate.